MappedLoginService.KnownUser (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.security

## Class MappedLoginService.KnownUser

- java.lang.Object
- - org.eclipse.jetty.security.MappedLoginService.KnownUser

- All Implemented Interfaces:
    Serializable, Principal, MappedLoginService.UserPrincipal
  Enclosing class:
    MappedLoginService

      public static class MappedLoginService.KnownUser
      extends Object
      implements MappedLoginService.UserPrincipal, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappedLoginService.KnownUser(String name, Credential credential)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `authenticate(Object credentials)`
    `String` | `getName()`
    `boolean` | `isAuthenticated()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `equals, hashCode`

- - ### Constructor Detail

    - #### MappedLoginService.KnownUser

          public MappedLoginService.KnownUser(String name,
                                      Credential credential)

  - ### Method Detail

    - #### authenticate

          public boolean authenticate(Object credentials)

      Specified by:
        `authenticate` in interface `MappedLoginService.UserPrincipal`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Principal`

    - #### isAuthenticated

          public boolean isAuthenticated()

      Specified by:
        `isAuthenticated` in interface `MappedLoginService.UserPrincipal`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.